#ifndef _KGR_PATCH_BSC1136446_H
#define _KGR_PATCH_BSC1136446_H

int kgr_patch_bsc1136446_init(void);
void kgr_patch_bsc1136446_cleanup(void);


struct mwifiex_private;
struct cfg80211_beacon_data;
struct mwifiex_adapter;
struct mwifiex_bssdescriptor;

int kgr_mwifiex_set_mgmt_ies(struct mwifiex_private *priv,
			     struct cfg80211_beacon_data *info);
int
kgr_mwifiex_update_bss_desc_with_ie(struct mwifiex_adapter *adapter,
				    struct mwifiex_bssdescriptor *bss_entry);

#define KGR_PATCH_BSC1136446_FUNCS					\
	KGR_PATCH_OBJ(mwifiex_set_mgmt_ies, kgr_mwifiex_set_mgmt_ies,	\
		      "mwifiex"),					\
	KGR_PATCH_OBJ(mwifiex_update_bss_desc_with_ie,			\
		      kgr_mwifiex_update_bss_desc_with_ie, "mwifiex"),	\

#endif /* _KGR_PATCH_BSC1136446_H */
